<?php
//============================================================+
// File name   : example_012.php
// Begin       : 2008-03-04
// Last Update : 2013-05-14
//
// Description : Example 012 for TCPDF class
//               Graphic Functions
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Nicola Asuni
//               Tecnick.com LTD
//               www.tecnick.com
//               info@tecnick.com
//============================================================+

/**
 * Creates an example PDF TEST document using TCPDF
 * @package com.tecnick.tcpdf
 * @abstract TCPDF - Example: Graphic Functions
 * @author Nicola Asuni
 * @since 2008-03-04
 */
header("Content-Type:text/html;charset=utf-8");
// Incluir librerias de datos
include_once('../php_conexion.php'); 
include_once('../Class/funciones.php');
$idpac=$_GET['idpac'];
//$acumulado=0;
$queryinfpac=mysqli_query($conexion,"SELECT * FROM paciente INNER JOIN examenmedico on paciente.idpaciente=$idpac AND paciente.idpaciente=examenmedico.idpaciente ORDER BY paciente.idpaciente ASC LIMIT 1");
$datainfpac=mysqli_fetch_array($queryinfpac);
$querytriaje=mysqli_query($conexion,"SELECT * FROM triaje WHERE idpaciente=$idpac ORDER BY idpaciente ASC LIMIT 1");
$datatriaje=mysqli_fetch_array($querytriaje);
/*$querycaja=mysqli_query($conexion,"SELECT importe FROM caja WHERE idpaciente=$idpac");
while ($rowcaja=mysqli_fetch_array($querycaja)) {
    $acumulado+=$rowcaja['importe'];
}*/
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
if ($datainfpac['tipodoc']=="dni"){
    $tipodoc="DNI";
}elseif ($datainfpac['tipodoc']=="ce") {
    $tipodoc="Carnet de extranjeria";
}elseif($datainfpac['tipodoc']=="pas") {
    $tipodoc="Pasaporte";
}

// Include the main TCPDF library (search for installation path).
require_once('../tcpdf/tcpdf.php');

// Extend the TCPDF class to create custom Header and Footer
class MYPDF extends TCPDF {

    //Page header
    public function Header() {
        // Logo
        $image_file = 'logoumsomd.png';
        $this->Image($image_file, 12, 6, 45, '', 'PNG', '', 'T', false, 300, '', false, false, 0, false, false, false);
        // Position at 15 mm from bottom
        //$this->SetY(25);
        // Set font
        //$this->SetFont('times', 'BI', 20);
        // Title
        //$this->Cell(0, 10, 'Informe Citológico', 0, false, 'C', 0, '', 0, false, 'M', 'M');
    }

    // Page footer
    public function Footer() {
        // Position at 15 mm from bottom
        $this->SetY(-10);
        // Set font
        $this->SetFont('helvetica', 'I', 10);
        // set color for background
		$this->SetFillColor(193, 274, 255);
        // Page number
        //$this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
        $this->Cell(0, 5, 'CONSULTORIO: AV. MICAELA BASTIDAS Nº443 EDIFICIO EL ROBLE OF. Nº 801 TELF: 084-248494', 0, false, 'C', 0, '', 0, false, 'T', 'M');
    }
}

// create new PDF document
$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

//establecer margenes
//$pdf->SetMargins(5,5,10);
$pdf->setHeaderMargin(10);
$pdf->SetFooterMargin(0);
$pdf->setPrintFooter(false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Jose HUiñapi');
$pdf->SetTitle('CONSENTIMIENTO INFORMADO');
$pdf->SetSubject('Paciente');
$pdf->SetKeywords('Consentimiento, PDF, Paciente');

// set default header data
    $pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, PDF_HEADER_STRING);

// disable header and footer
//$pdf->setPrintHeader(false);
//$pdf->setPrintFooter(false);

// CONJUNTO CABESERA Y PIE DE PAGINA

    $pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
    $pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
	require_once(dirname(__FILE__).'/lang/eng.php');
	$pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
$pdf->SetFont('times', 'B', 12);
// add page
$pdf->AddPage('P','A4');

//ESTILOS PARA GRAFICOS
$style = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => '3,3,3,3', 'phase' => 10, 'color' => array(0, 0, 0));
$style2 = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 0, 0));
$style3 = array('width' => 1, 'cap' => 'round', 'join' => 'round', 'dash' => '2,10', 'color' => array(255, 0, 0));
$style4 = array('L' => 0,
                'T' => array('width' => 0.25, 'cap' => 'butt', 'join' => 'miter', 'dash' => '20,10', 'phase' => 10, 'color' => array(100, 100, 255)),
                'R' => array('width' => 0.50, 'cap' => 'round', 'join' => 'miter', 'dash' => 0, 'color' => array(50, 50, 127)),
                'B' => array('width' => 0.75, 'cap' => 'square', 'join' => 'miter', 'dash' => '30,10,5,10'));
$style5 = array('width' => 0.25, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(0, 64, 128));
$style6 = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => '10,10', 'color' => array(0, 128, 0));
$style7 = array('width' => 0.5, 'cap' => 'butt', 'join' => 'miter', 'dash' => 0, 'color' => array(255, 128, 0));

//$txt = <<<EOD
//CONSULTORIO DE ANATOMIA PATOLOGICA Y CITOLOGIA
//EOD;

//$pdf->SetY(15);
//$pdf->Write(1, $txt, '', 0, 'C', true, 0, false, false, 0);

//Titulo
$pdf->Write(0, 'ANEXO 3: CERTIFICADO DE EVALUACION FISICA', '', 0, 'C', true, 0, false, false, 0);

//Cuerpo
$html='<span style="text-align:justify;"><p>Nombres y apellidos: <b>'.$datainfpac['nombre'].' '.$datainfpac['apepaterno'].' '.$datainfpac['apematerno'].'</b><br /> Edad: <b>'.calculaedad($datainfpac['fechanac']).' años</b><br /> '.$tipodoc.' N° <b>'.$datainfpac['numdoc'].'</b></p><p><ul><li>Control de la temperatura <b><u>&nbsp;&nbsp;&nbsp;&nbsp;'.$datatriaje['temperatura'].' C°&nbsp;&nbsp;&nbsp;&nbsp;</u></b> con sensación de alza térmica (fiebre). Dolor de garganta, tos seca, congestión nasal o rinorrea (secreción nasal), anosmia (perdida de olfato), disgeusia (perdida de gusto), dolor abdominal, náuseas, diarrea, falta de aire o dificultad para respirar, desorientación o confusión, dolor en el pecho o cianosis (coloración azul en los labios).</li><li>Control de contacto COVID-19 <span style="text-transform: uppercase;"><b><u>___'.$datainfpac['contactocovid'].'____</u></b></span> Con pacientes sospechosos o declarados con COVID-19</li><li>Control de viajes: <span style="text-transform: uppercase;"><b><u>____'.$datainfpac['viajecovid'].'_____</u></b></span> viajes al exterior durante el estado nacional de emergencia.</li></ul></p><p>La información aquí brindada es verdadera, en consecuencia, el evaluado asume la responsabilidad civil y/o penal que pudiera derivar de la comprobación de su falsedad o inexactitud, así como de los documentos que se presenten posteriormente a requerimiento de UMSO PERU SAC y/o empleador correspondiente.</p><p>A través de este documento y en virtud a lo señalado en el numeral 6 del artículo 14° de la ley N° 29733 (ley de protección de datos personales), el evaluado autoriza a UMSO PERU SAC y/o su empleador a tratar, transferir o proporcionar mis datos personales e información relacionada con mi salud, en caso de sospecha o padecimiento de COVID-19, a las entidades médicas que lo requieran por tratarse de un asunto de interés público en función a la emergencia sanitaria nacional.</p></span>';

$pdf->SetFont('times', '', 11.5);
$pdf->writeHTML($html, true, 0, true, true);
$pdf->Write(0, 'Cusco, '.substr($datainfpac['fechaevalmed'], 8).' de '.$meses[substr($datainfpac['fechaevalmed'], 5, -3)-1].' de '.substr($datainfpac['fechaevalmed'], 0, -6).'.', '', 0, 'R', true, 0, false, false, 0);

/*$pdf->setCellMargins(0, 1, 0, 1);
$pdf->SetFillColor(255,255,255);
$pdf->SetTextColor(0,0,0);
$pdf->SetXY(50, 250);
$pdf->writeHTML('<p style="text-align:center;"><table><tr><td>Firma y sello del médico evaluador<br />CMP N°____________</td><td>Firma y sello del responsable de laboratorio <br />C.Bg.P N°____________ </td></tr></table></p>', true, 0, true, true);*/
//$pdf->MultiCell(0, 3, 'Firma y sello del médico evaluador CMP N°', 0, 'L', 1, 0, '', '', true, 0, true, true, 40, 'T');
//$pdf->SetXY(120, 265);
//$pdf->MultiCell(0, 3, 'Firma y sello del responsable de laboratorio C.Bg.P N°', 0, 'L', 1, 0, '', '', true, 0, true, true, 40, 'T');


//$pdf->Line(5, 148, 205, 148, $style);

mysqli_close($conexion);
// ---------------------------------------------------------
// move pointer to last page
$pdf->lastPage();

//Close and output PDF document
$pdf->Output($datainfpac['numdoc'].'-'.$datainfpac['apepaterno'].' '.$datainfpac['apematerno'].' '.$datainfpac['nombre'].'.pdf', 'I');

//============================================================+
// END OF FILE
//============================================================+
?>
